// ConfigDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "wmzip.h"
#include "ConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg _CAO


CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDlg)
	m_bComment = FALSE;
	m_bCRLF_LF = FALSE;
	m_stDate = _T("");
	m_bDeleteEntries = FALSE;
	m_bEncrypt = FALSE;
	m_bExcludeDate = FALSE;
	m_bExtra = FALSE;
	m_bForce = FALSE;
	m_bFreshen = FALSE;
	m_bGrow = FALSE;
	m_bIncludeDate = FALSE;
	m_bJunkDir = FALSE;
	m_bJunkSFX = FALSE;
	m_bLatestTime = FALSE;
	m_bLF_CRLF = FALSE;
	m_bMove = FALSE;
	m_bNoDirEntries = FALSE;
	m_bOffsets = FALSE;
	m_bPrivilege = FALSE;
	m_bQuiet = FALSE;
	m_nRecurse = -1;
	m_nRepair = -1;
	m_bSuffix = FALSE;
	m_bSystem = FALSE;
	m_bTemp = FALSE;
	m_stTempDir = _T("");
	m_bUpdate = FALSE;
	m_bVerbose = FALSE;
	m_bVolume = FALSE;
	//}}AFX_DATA_INIT
}


void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDlg)
	DDX_Control(pDX, IDC_ENCRYPT_CHECK, m_ctrlEncrypt);
	DDX_Control(pDX, IDC_LEVEL_SLIDER, m_ctrlLevel);
	DDX_Check(pDX, IDC_COMMENT_CHECK, m_bComment);
	DDX_Check(pDX, IDC_CRLF_LF_CHECK, m_bCRLF_LF);
	DDX_Text(pDX, IDC_DATE_EDIT, m_stDate);
	DDX_Check(pDX, IDC_DELETEENTRIES_CHECK, m_bDeleteEntries);
	DDX_Check(pDX, IDC_ENCRYPT_CHECK, m_bEncrypt);
	DDX_Check(pDX, IDC_EXCLUDEDATE_CHECK, m_bExcludeDate);
	DDX_Check(pDX, IDC_EXTRA_CHECK, m_bExtra);
	DDX_Check(pDX, IDC_FORCE_CHECK, m_bForce);
	DDX_Check(pDX, IDC_FRESHEN_CHECK, m_bFreshen);
	DDX_Check(pDX, IDC_GROW_CHECK, m_bGrow);
	DDX_Check(pDX, IDC_INCLUDEDATE_CHECK, m_bIncludeDate);
	DDX_Check(pDX, IDC_JUNKDIR_CHECK, m_bJunkDir);
	DDX_Check(pDX, IDC_JUNKSFX_CHECK, m_bJunkSFX);
	DDX_Check(pDX, IDC_LATESTTIME_CHECK, m_bLatestTime);
	DDX_Check(pDX, IDC_LF_CRLF_CHECK, m_bLF_CRLF);
	DDX_Check(pDX, IDC_MOVE_CHECK, m_bMove);
	DDX_Check(pDX, IDC_NODIRENTRIES_CHECK, m_bNoDirEntries);
	DDX_Check(pDX, IDC_OFFSETS_CHECK, m_bOffsets);
	DDX_Check(pDX, IDC_PRIVILEGE_CHECK, m_bPrivilege);
	DDX_Check(pDX, IDC_QUIET_CHECK, m_bQuiet);
	DDX_Radio(pDX, IDC_RECURSE0_RADIO, m_nRecurse);
	DDX_Radio(pDX, IDC_REPAIR0_RADIO, m_nRepair);
	DDX_Check(pDX, IDC_SUFFIX_CHECK, m_bSuffix);
	DDX_Check(pDX, IDC_SYSTEM_CHECK, m_bSystem);
	DDX_Check(pDX, IDC_TEMP_CHECK, m_bTemp);
	DDX_Text(pDX, IDC_TEMPDIR_EDIT, m_stTempDir);
	DDX_Check(pDX, IDC_UPDATE_CHECK, m_bUpdate);
	DDX_Check(pDX, IDC_VERBOSE_CHECK, m_bVerbose);
	DDX_Check(pDX, IDC_VOLUME_CHECK, m_bVolume);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg bZ[W nh

BOOL CConfigDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctrlLevel.SetRange(0, 9);
	m_ctrlLevel.SetPos(nLevel);
	m_ctrlEncrypt.EnableWindow(m_bEncryption);
	
	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CConfigDlg::OnOK() 
{
	nLevel = m_ctrlLevel.GetPos();
	
	CDialog::OnOK();
}
